Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Interface XAQueueConnectionFactory

All Superinterfaces:
  ConnectionFactory, QueueConnectionFactory, XAConnectionFactory

All Known Implementing Classes:
  XAQueueConnectionFactory

    public interface XAQueueConnectionFactory

extends XAConnectionFactory, QueueConnectionFactory

An `XAQueueConnectionFactory` provides the same create options as a `QueueConnectionFactory` (optional).

The `XATopicConnectionFactory` interface is optional. JMS providers are not required to support this interface. This interface is for use by JMS providers to support transactional environments. Client programs are strongly encouraged to use the transactional support available in their environment, rather than use these XA interfaces directly.

See Also:
  `QueueConnectionFactory`, `XAConnectionFactory`

Method Summary
`XAQueueConnection` | `createXAQueueConnection()` Creates an XA queue connection with the default user identity.
`XAQueueConnection` | `createXAQueueConnection(String userName, String password)` Creates an XA queue connection with the specified user identity.

Methods inherited from interface javax.jms.XAConnectionFactory
`createXAConnection, createXAConnection`

Methods inherited from interface javax.jms.QueueConnectionFactory
`createQueueConnection, createQueueConnection`

Methods inherited from interface javax.jms.ConnectionFactory
`createConnection, createConnection`

Method Detail

### createXAQueueConnection

    XAQueueConnection createXAQueueConnection()
                                              throws JMSException

  Creates an XA queue connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Returns:
    a newly created XA queue connection
  Throws:
    `JMSException` - if the JMS provider fails to create an XA queue connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

### createXAQueueConnection

    XAQueueConnection createXAQueueConnection(String userName,
                                              String password)
                                              throws JMSException

  Creates an XA queue connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.

  Parameters:
    `userName` - the caller's user name
    `password` - the caller's password
  Returns:
    a newly created XA queue connection
  Throws:
    `JMSException` - if the JMS provider fails to create an XA queue connection due to some internal error.
    `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.